 mnuKuli.Parent = frmKuli
 mnuKuli.AddItems mnuProgram, mnuSluzby, mnuGraf, mnuBanky
' 
 mnuProgram.Caption = "&Program"
 mnuProgram.AddItems mnuAbout, mnuURL, mnuPauza1b, mnuKoniec

with mnuAbout
	.shortcut = "Ctrl+A"
	.onClick = mnuAbout_onClick
end with

with mnuURL
	.caption = "&Domovsk strnka"
	.shortcut = "Ctrl+W"
	.onClick = mnuURL_onClick
end with

mnuPauza1b.Caption = "-"

with mnuKoniec
	.shortcut = "Esc"
	.onClick = mnuKoniec_onClick
end with
 
 
' ******************************************************************************
mnuSluzby.addItems mnuDnes, mnuTlacKL, mnuVymazKL, mnuPauza2a, mnuMeny, mnuMesacnyDownload, _
	mnuExport, mnuPauza2b, mnuKalkulacka 
mnuSluzby.Caption = "&Sluby"

with mnuDnes
	.shortcut = "Ctrl+D"
	.onClick = btnKuliDnes_onCLick
	.enabled = 0
end with

with mnuTlacKL
	.shortcut = "Ctrl+T"
	.onClick = mnuTlac_onCLick
	.enabled = 0
end with

with mnuVymazKL
	.shortcut = "Del"
	.onClick = mnuVymazKL_onCLick
	.enabled = 0
end with

mnuPauza2a.Caption = "-"

with mnuMeny
	.shortcut = "Ctrl+U"
	.onClick = mnuMeny_onClick
end with

with mnuMesacnyDownload
	.shortcut = "Ctrl+M"
	.onClick = mnuMesiac_onClick
	.enabled = 0
end with

with mnuExport
	.shortcut = "Ctrl+E"
	.onClick = mnuExport_onClick
end with

mnuPauza2b.Caption = "-"

with mnuKalkulacka
	.caption = "&Kalkulaka"
	.shortcut = "Ctrl+K"
	.onClick = mnuCalc_onClick
end with

' ******************************************************************************
mnuGraf.additems mnuGrafCopy1, mnuGrafSave1
mnuGraf.Caption = "&Graf"

with mnuGrafCopy1
	.shortcut = "Ctrl+C"
	.onClick = mnuGrafCopy_onClick
	.enabled = 0
end with

with mnuGrafSave1
	.shortcut = "Ctrl+S"
	.onClick = mnuGrafSave_onClick
	.enabled = 0
end with


' ******************************************************************************
mnuBanky.Caption = "&Banky"

mnuBanky.addItems mnuNBS, mnuCNB, mnuNarodneBanky

with mnuNBS
	.caption = "&Nrodn banka Slovenska"
	.shortcut = "CTRL+N"
	.onClick = mnuBanky_onClick
end with

with mnuCNB
	.caption = "esk nrodn &banka"
	.shortcut = "CTRL+B"
	.onClick = mnuBanky_onClick
end with

with mnuNarodneBanky
	.shortcut = "CTRL+O"
	.onClick = mnuBanky_onClick
end with

' ############################################################################## 
' PODPROGRAMY
' ############################################################################## 

 Sub mnuKoniec_onClick
 	frmKuli.Close
 End Sub
 
' ------------------------------------------------------------------------------
 Sub mnuAbout_onClick
 	ShowMessage Message(16)
 End Sub
 
' ------------------------------------------------------------------------------
Sub frmKuli_onClose
	dim temp as byte
 	temp = MessageBox (Iif(Banka = "SVK", "Ukoni program?", "Ukonit program?"), _
	 	Application.Title, &H4 + &H20)
 	If temp <> 6 then Action = 0
End Sub

' ------------------------------------------------------------------------------
Sub mnuTlac_onClick
	dim sl as QStringList, I as byte, subor as string
	subor = "                                                  "
	
	sl.clear
	sl.additems Ltrim$(gbxKuliText.Caption)
	sl.additems "-----------------------------------------------------------------------------"
	sl.additems "|" + Left$(lviKuli.Column(0).Caption + Subor, 18) + " | " + _
		lviKuli.Column(1).Caption + "    | Jedn. | " + Ltrim$(lviKuli.Column(3).Caption) + _
		"|    " + lviKuli.Column(4).Caption + " | " + Left$(Ltrim$(lviKuli.Column(6).Caption) + _
		subor, 7) + " |  Index  |"
	sl.additems "-----------------------------------------------------------------------------"
	for I = 0 to lviKuli.ItemCount - 1
		sl.additems "| " + Left$(lviKuli.Item(I).Caption + "                 ", 17) + " | " + _
			Left$(lviKuli.Subitem(I, 0) + "        ", 8) + " | " + _
			Right$("     " + lviKuli.Subitem(I, 1), 5) + " | " + _
			Left$(lviKuli.Subitem(I, 2) + "   ", 3) + " | " + _
			Right$("      " + lviKuli.Subitem(I, 3), 8) + " | " + _
			Right$("     " + lviKuli.Subitem(I, 5), 7) + " | " + _
			Right$("     " + lviKuli.Subitem(I, 6), 7) + " |"
	Next
	sl.additems "-----------------------------------------------------------------------------"
	subor = curdir$ + "\report.txt"
	sl.savetofile(subor)
	run ("notepad.exe " + subor)
End Sub

' ------------------------------------------------------------------------------
Sub mnuVymazKL_onCLick
	dim temp as byte, datum as string

 	temp = MessageBox (Iif(Banka = "SVK", "Vymaza kurzov lstok zo da ", _
	 	"Vymazat kurzovn lstek ze dne ") + pnlKuliDen.Hint + "?", _
	 	Application.Title, &H4 + &H20)
 	If temp <> 6 then Exit Sub
	
	datum = right$(pnlKuliDen.Hint, 4) + "-" + Mid$(pnlKuliDen.Hint, 4,2) + "-" + _
		Left$(pnlKuliDen.Hint, 2)
	temp = sqlite3_open (VARPTR(DBname), dbHandle)
		if temp = 0 then
			query = "DELETE FROM kuli WHERE kuli_datum = '" + datum + "'"	
			sqlite3_exec (dbHandle, query, 0, 0, 0)
			sqlite3_close (dbHandle)
			VypocetDna
		End if
End Sub

' ------------------------------------------------------------------------------
Sub mnuMeny_onClick
	frmMeny.ShowModal
End Sub

' ############################################################################## 
' POP-UP MENU TLA
' ##############################################################################
popKuli.AddItems mnuKuliTlac, mnuPauzaPop1, mnuKuliVymaz

with mnuKuliTlac
	.onClick = mnuTlac_onClick
	.enabled = 0
End With

mnuPauzaPop1.Caption = "-"

with mnuKuliVymaz
	.onClick = mnuVymazKL_onClick
	.enabled = 0
End With

' ############################################################################## 
' POPUP MENU GRAF
' ##############################################################################
' ------------------------------------------------------------------------------'
popGraf.AddItems mnuGrafCopy, mnuGrafSave ', mnuGrafTlac

with mnuGrafCopy
	.onClick = mnuGrafCopy_onClick
	.enabled = 0
End With

with mnuGrafSave
	.onClick = mnuGrafSave_onClick
	.enabled = 0
End With

' ------------------------------------------------------------------------------
Sub mnuGrafTlac_onClick
	if frmTlac.ShowModal <> 1 then exit sub
	
	If Val(ediKopie.EditText) = 0 then ediKopie.Text = " 1"
	
	chrGraf.PrintChart (Printer.PrinterIndex, gbxOrientacia.Tag, Val(ediOkraj.EditText), _
		Val(ediKopie.EditText), gbxFarba.Tag)
	chrGraf.DrawChart (0)
End Sub

' ------------------------------------------------------------------------------
Sub mnuGrafCopy_onClick
	chrGraf.CopyToClipboard (chrgraf.width, chrgraf.height)
	showmessage message(12)
End Sub

' ------------------------------------------------------------------------------
Sub mnuGrafSave_onClick
	chrGraf.SaveChart (1)
end Sub

' ############################################################################## 
' POP-UP MENU MESIAC
' ##############################################################################
popMesiac.additems mnuMesiac

mnuMesiac.onClick = mnuMesiac_onClick

' ------------------------------------------------------------------------------
Sub mnuMesiac_onClick
	
	riadok = Iif(Banka = "SVK", _
		"Spusti sahovanie kurzovch lstkov zo strnky NBS za cel mesiac ", _
		"Spustit stahovn kurzovnch lstk ze strnky NB za cel msc ")
	
	I = MessageBox (riadok + lbxKuliMesiac.Item (lbxKuliMesiac.ItemIndex) + " " + _
		lbxKuliRok.Item (lbxKuliRok.ItemIndex) + _
		"?", Application.Title, &H4 + &H20)
	If I <> 6 then exit sub
				
	'frmKuli.Windowstate = 1
	lviKuli.Clear
	lviPrepocet1.Column(0).Caption = "???"
	For I = 0 to lviPrepocet1.ItemCount - 1
		lviPrepocet1.SubItem(I, 0) = Format$("%n", 0)
	Next
	QLValignment(lviPrepocet1, 0, LVCFMT_RIGHT)

	' prepoet meny 2
	lviPrepocet2.Column(1).Caption = "???"
	For I = 0 to lviPrepocet2.ItemCount - 1
		lviPrepocet2.SubItem(I, 0) = Format$("%n", 0)	
	Next
	QLValignment(lviPrepocet2, 1, LVCFMT_RIGHT)
	
	chrGraf.ClearAll
	chrGraf.RedrawChart
	
	Rok = Ltrim$(lbxKuliRok.Item(lbxKuliRok.ItemIndex))
	Mesiac = Right$("0" + Ltrim$(Str$(lbxKuliMesiac.ItemIndex + 1)), 2)
	gbxKuliText.Caption = Iif(Banka = "SVK", _
		" Sahujem kurzov lstky, prosm o strpenie... ", _
		" Stahuji kurzovn lstky, prosm o strpen... ")
	lviKuli.Visible = 0
	pnlKuliText.Visible = 1
	K = 0
	
	While K < 37
		If btnKuliDen(K).enabled = 1 AND btnKuliDen(K).font.bold = 0 then
			Den = Right$("0" + btnKuliDen(K).Caption, 2)
			' NATANIE KURZOVHO LSTKU Z INTERNETU
			screen.Cursor = -11	'HourGlass
			IF ret = 0 THEN
				ShowMessage "Pripojenie na internet nebolo zisten!"
				screen.Cursor = 0
				pnlKuliText.Visible = 0
				lviKuli.Visible = 1
				Exit Sub
			END IF
			
			If Banka = "SVK" then
				sURL = "http://www.nbs.sk/KL/KLSL" + Rok + "/KL" + Right$(Rok,2) + Mesiac + Den + ".SDF"
				sToFile = Right$(Rok,2) + Mesiac  + Den &+ ".SDF"

				If GetFileHTTP (sURL, sToFile) Then
				Else
					sl.LoadFromFile(sToFile)
					
					Kill sToFile

					If Len(sl.Text) > 0 then

						while sl.IndexOf("") > -1
							sl.delitems sl.indexOf("")
						wend

						I = sqlite3_open (VARPTR(DBname), dbHandle)
						if I = 0 then
							for J = 0 to sl.ItemCount - 1
								DOEVENTS
								query = "INSERT INTO kuli (kuli_mena, kuli_datum, kuli_kurz) VALUES ('" + _
									Mid$(sl.Item(J), 36, 3) + "', '" + rok + "-" + _
									mesiac + "-" + den + "', '" + Ltrim$(Mid$(sl.Item(J), 39, 9)) + "')"
								L = sqlite3_exec (dbHandle, query, 0, 0, 0)
								
								If frmKuli.WindowState = 1 then
									frmKuli.Caption = den + "." + mesiac + " / " + Mid$(sl.Item(J), 36, 3)
								Else
									pnlKuliText.Caption = den + "." + mesiac + " / " + Mid$(sl.Item(J), 36, 3)
									frmKuli.caption = btnLangOK.Hint
								End If
							pnlKuliText.Repaint
							next
							sqlite3_close (dbHandle)
						End If
						btnKuliDen(K).font.bold = 1
						btnKuliDen(K).font.color = rgb(102,0,0)
					End If
				End If
				pnlKuliDen.repaint
		
		' ESKY   ###############################################################		
			Else
			    sURL = "http://www.cnb.cz/cs/financni_trhy/devizovy_trh/kurzy_devizoveho_trhu/denni_kurz.txt?date=" + den + "." + mesiac + "." + rok

				sToFile = Right$(Rok,2) + Mesiac  + Den &+ ".SDF"

				If GetFileHTTP (sURL, sToFile) Then
				Else
					sl.LoadFromFile(sToFile)
					Kill sToFile
					
                    If Mid$(sl.item(0), 1, 10) <> den + "." + mesiac + "." + rok then
		                screen.Cursor = 0
						sl.text = ""
					End if
			    	
					sl.text = ReplaceSubStr$(sl.Text, ",", ".") ' desetinn rky na desetinn teky
			    	
					If Len(sl.Text) > 0 then

						while sl.IndexOf("") > -1
							sl.delitems sl.indexOf("")
						wend
						
						I = sqlite3_open (VARPTR(DBname), dbHandle)
						if I = 0 then
							for J = 2 to sl.ItemCount - 1
								DOEVENTS
								query = "INSERT INTO kuli (kuli_mena, kuli_datum, kuli_kurz) VALUES ('" + _
									Field$(sl.Item(J), separ, 4) + "', '" + rok + "-" + _
									mesiac + "-" + den + "', '" + Field$(sl.Item(J), separ, 5) + "')"
								L = sqlite3_exec (dbHandle, query, 0, 0, 0)
								If frmKuli.WindowState = 1 then
									frmKuli.Caption = den + "." + mesiac + " / " + Field$(sl.Item(J), separ, 4)
								Else
									pnlKuliText.Caption = den + "." + mesiac + " / " + Field$(sl.Item(J), separ, 4)
									frmKuli.caption = btnLangOK.Hint
								End If
							pnlKuliText.Repaint
							next
							sqlite3_close (dbHandle)
						End If
						btnKuliDen(K).font.bold = 1
						btnKuliDen(K).font.color = rgb(102,0,0)
					End If
				End If
				pnlKuliDen.repaint
			End if
		End If
		K++
	Wend
	
	pnlKuliText.Visible = 0
	lviKuli.Visible = 1
	SetFocus(lviKuli.Handle)
	lviKuli.Tag = 0
	gbxKuliText.Caption = gbxKuliText.Hint
	screen.Cursor = 0
	If frmKuli.WindowState = 1 then frmKuli.caption = btnLangOK.Hint
End Sub

' ------------------------------------------------------------------------------
Sub mnuExport_onClick
	frmExport.ShowModal
End Sub

' ------------------------------------------------------------------------------
Sub mnuBanky_onClick
	Select Case Sender.MenuIndex
		Case 0: ShellExecute(0, "open", "http://www.nbs.sk", "", "", 1)
		Case 1: ShellExecute(0, "open", "http://www.cnb.cz", "", "", 1)
		Case 2: if banka = "SVK" then
				ShellExecute(0, "open", "http://www.finance.sk/bankovnictvo/zoznamy/svcb/", "", "", 1)
			else
			    ShellExecute(0, "open", "http://www.mesec.cz/adresar/kategorie/banka/", "", "", 1)
			End If
	End Select
End Sub

' ------------------------------------------------------------------------------
Sub mnuURL_onClick
	ShellExecute(0, "open", "http://www.rq.sk/rqkuli.html", "", "", 1)
End Sub