' ------------------------------------------------------------------------------
' Program RQ KuLi (Kurzov lstok) 
' Zapoat: 8. mja 2006, autor: Slavomr Svetlk
' Poznmka: Pre sprvne fungovanie programu je potrebn prtomnos kninice SQLite3.DLL !!!
' ------------------------------------------------------------------------------

$TypeCheck ON
$option icon "sources\KULI.ICO" ' ikonka programu
application.title = "RQ KULI" ' nadpis programu
Const CRLF = chr$(13) + chr$(10) ' zalomenie riadku (v textovch sprvach)
	
DefStr sURL, sToFile, Banka, pismo
DefLng RET, X, Y, Z, W
DefLng I, J, K, L
DefStr Rok, Mesiac, Den, riadok, Mena, Kurz
dim message(16) as String
dim sl as QStringList

$include "Inc\Qsqlite3.inc"	' extern komponent pre obsluhu SQLite3 databzy
$include "Inc\QChart.inc"	' extern komponent (autor M. J. Zito) pre zobrazenie grafu
$include "Inc\QLValignment.inc" ' extern komponent (funkcia) pre zarovnanie stpcov v QListView

' pky pre kurzov rozdiely
$resource bmp_hore as		"sources\hore.bmp"
$resource bmp_dole as		"sources\dole.bmp"
$resource bmp_rovno as		"sources\rovno.bmp"
' Ok obrzok
 $resource bmp_ok as		"sources\bmp_ok.bmp"
' VLAJKY vek
 $resource bmp_CZK as       "sources\CZK.bmp"
 $resource bmp_SKK as       "sources\SKK.bmp"
' VLAJKY mal
$resource bmp_cesky as		"sources\cesky.bmp"
$resource bmp_slovensky as	"sources\slovensky.bmp"

' ******************************************************************************
dim frmLang as QForm
	dim gbxLang as QGroupBox
	dim rbtLangSVK as QRadioButton
	dim rbtLangCZE as QRadioButton
	dim btnLangOK as QButton
	dim imgFlagSVK as QImage
	dim imgFlagCZE as QImage

dim frmKuli as QForm
	dim stbKuli as QStatusBar
		dim tmrCas as QTimer
			
dim imgKuli as QImageList
	dim pnlKuliHore as QPanel
	dim pnlKuliHore1 as QPanel
	dim gbxKuliDatum as QGroupBox
		dim lbxKuliMesiac as QListBox
			dim btnKuliDnes as QCoolBtn
		dim lbxKuliRok as QListBox
		dim pnlKuliDen as QPanel
			dim canKuliDen as QCanvas
			dim btnKuliNazovDna(6) as QCoolBtn 
			dim btnKuliDen(36) as QCoolBtn
			
	dim GbxKuliGraf as QGroupBox
		dim rbtGraf1 as QRadioButton
		dim rbtGraf3 as QRadioButton
		dim rbtGraf6 as QRadioButton
		dim rbtGraf12 as QRadioButton
	
	dim gbxKuliText as QGroupBox
		dim lviKuli as QListView
		dim pnlKuliText as QPanel
	dim gbxKuliPrepocet as QGroupBox	
		dim lviPrepocet1 as QListView
		dim lviPrepocet2 as QListView
		
	' dim gbxGraf as QGroupBox
		dim chrGraf as QChart

 	dim mnuKuli as QMainMenu
 		dim mnuProgram as QMenuItem
			dim mnuAbout as QMenuItem
 			dim mnuURL as QMenuItem
 				dim mnuPauza1b as QMenuItem
 			dim mnuKoniec as QMenuItem
 		dim mnuSluzby as QMenuItem
 			dim mnuDnes as QMenuItem
 			dim mnuTlacKL as QMenuItem
 			dim mnuVymazKL as QMenuItem
 				dim mnuPauza2a as QMenuItem
 			dim mnuMeny as QMenuItem
 			dim mnuMesacnyDownload as QMenuItem
 				dim mnuPauza2b as QMenuItem
 			dim mnuExport as QMenuItem
			dim mnuKalkulacka as QMenuItem	
 		dim mnuGraf as QMenuItem
 			dim mnuGrafCopy1 as QMenuItem
 			dim mnuGrafSave1 as QMenuItem
 		dim mnuBanky as QMenuItem
	 			dim mnuNBS as QMenuItem
	 			dim mnuCNB as QMenuItem
	 			dim mnuNarodneBanky as QMenuItem
			
	dim popKuli as QPopUpMenu
		dim mnuKuliTlac as QMenuItem
			dim mnuPauzaPop1 as QMenuItem
		dim mnuKuliVymaz as QMenuItem
		
	dim popGraf as QPopupMenu
		'dim mnuGrafTlac as QMenuItem
		dim mnuGrafCopy as QMenuItem
		dim mnuGrafSave as QMenuItem
		
	dim popMesiac as QPopUpMenu
		dim mnuMesiac as QMenuItem		
		
	' frmTlac
	dim frmTlac as QForm
		dim lblTlaciaren as QLabel
		dim cbxTlaciaren as QComboBox
		dim gbxOrientacia as QGroupBox
			dim rbtNaVysku as QRadioButton
			dim rbtNaSirku as QRadioButton
			dim imgOrientacia as QImage
		dim gbxFarba as QGroupBox
			dim rbtCB as QRadioButton
			dim rbtColor as QRadioButton
			dim imgFarba as QImage
		dim lblKopie as QLabel
		dim ediKopie as QEdit
		dim lblOkraj as QLabel
		dim ediOkraj as QEdit
		dim pnlTlac as QPanel
			dim btnTlacOK as QButton
			dim btnTlacCancel as QButton
			
	' frm Meny
	dim frmMeny as QForm
		dim lviMeny as QListView
		dim pnlMeny1 as QPanel
			dim btnMenyPlus as QCoolBtn
			dim btnMenyMinus as QCoolBtn
			dim btnMenyEdit as QCoolBtn
			dim btnMenyCancel as QButton
		dim pnlMeny2 as QPanel
		
	' frm Mena
	dim frmMena as QForm		
	dim pnlMena as QPanel
		dim btnMenaOK as QButton
		dim btnMenaCancel as QButton
		dim lblMenaSkratka as QLabel
		dim ediMenaSkratka as QEdit
		dim lblMenaStat as QLabel
		dim ediMenaStat as QEdit
		dim lblMenaNazov as QLabel
		dim ediMenaNazov as QEdit
		dim lblMenaPocet as QLabel
		dim ediMenaPocet as QEdit
		
	' frmExport
	dim frmExport as QForm
		dim pnlExport as QPanel
			dim btnExportOK as QButton
			dim btnExportCancel as QButton
		dim gbxExportMena as QGroupBox
			dim cbxExportMena as QComboBox
			dim lblExportStat as QLabel
		dim gbxExportDatum as QGroupBox
			dim lblExportOd as QLabel
			dim lblExportDo as QLabel
			dim ediExportOd as QEdit
			dim ediExportDo as QEdit
' ******************************************************************************
	' global API function
	declare function shellexecute lib "shell32" alias "ShellExecuteA" _
		(hwnd as long, lpoperation as string, lpfile as string, lpparameters as string, _
		lpdirectory as string, nshowcmd as long) as long

	declare Function SetWindowLong LIB "User32" ALIAS "SetWindowLongA" (hwnd AS _
		Long, nIndex AS Long, dwNewLong AS Long) AS LONG ' minimalize correction
' ----------------------------------------------------------------------------------------
	declare Function SetFocus Lib "user32" Alias "SetFocus" (hwnd As Long) As Long

' ----------------------------------------------------------------------------------------
	Declare Function CharUpper Lib "user32" Alias "CharUpperA" (ByVal lpsz As String) As String
	
' ----------------------------------------------------------------------------------------
	Declare Function InternetGetConnectedState Lib "wininet.dll" ALIAS _
	"InternetGetConnectedState"(lpdwFlags As integer, dwReserved As integer) As integer
	
' ----------------------------------------------------------------------------------------
	Declare Function FGetFileHTTP_URLDownloadToFile Lib "urlmon" Alias _
		"URLDownloadToFileA" (ByVal pCaller As Long, ByRef szURL As String, _
		ByRef szFileName As String, ByVal dwReserved As Long, ByVal lpfnCB As Long) As Long
		
' ---------------------------------------------------------------------------------------
	Function GetFileHTTP (URL As String, toFile As String) As Long
		sURL = URL
		sToFile = toFile
		GetFileHTTP = FgetFileHTTP_URLDownloadToFile (0, sURL, sToFile, 0, 0)
	End Function
' ----------------------------------------------------------------------------------------

	const offline = &H20
	ret = InternetGetConnectedState(0,0)
	
	' frmFlag
	declare sub frmLang_onPaint
	declare sub btnLangOK_onClick
	declare sub rbtLang_onClick (Sender as QRadioButton)
	
	' frmKuli
	declare sub frmKuli_onShow
	declare sub frmKuli_onClose (Action as Integer)
	declare sub btnKuliDen_onClick (sender as QCoolBtn)
	declare sub mnuTlac_onClick
	declare sub mnuVymazKL_onClick
	declare sub mnuMeny_onClick
	declare sub mnuAbout_onClick
	declare sub mnuURL_onClick
	declare sub mnuSkratky_onClick
	declare sub mnuKoniec_onClick
	declare sub VypocetDna
	declare sub btnGrafCopy_onClick
	declare sub btnGrafPrint_onClick
	declare sub btnGrafSave_onClick
	declare sub btnKuliDnes_onCLick
	declare sub mnuMesiac_onClick
	declare sub mnuExport_onClick
	declare sub lviKuli_OnChange (Index%, Change AS BYTE)
	declare sub mnuCalc_onClick
	declare sub mnuGrafTlac_onClick
	declare sub mnuGrafCopy_onClick
	declare sub mnuGrafSave_onClick
	declare sub mnuBanky_onClick (Sender as QMenuItem)
	declare sub canKuliDen_onPaint
'	declare sub canVlajocka_onPaint
	declare sub tmrCas_onTimer
	
	' frmTla
	declare sub frmTlac_onShow
	declare sub cbxTlaciaren_onChange
	declare sub rbtOrientacia_onClick (Sender as QRadioButton)
	declare sub rbtFarba_onClick (Sender as QRadioButton)
	declare sub rbtGraf_onClick (Sender as QRadioButton)
	
	' frm Meny
	declare sub frmMeny_onShow
	declare sub lviMeny_onChange (Index%, Change AS BYTE)
	declare sub btnMenyPlus_onClick
	declare sub btnMenyMinus_onClick
	declare sub btnMenyEdit_onClick
	
	declare sub btnMenaOK_OnClick
	
	' frm Export
	declare sub frmExport_OnShow	
	declare sub cbxExportMena_onChange
	declare sub btnExportOK_OnClick

' ******************************************************************************
$include "frmLang.bas"
$include "frmKuli.bas"
$include "mnuKuli.bas"
$include "frmMeny.bas"
$include "frmMena.bas"
$include "frmExport.bas"

' ******************************************************************************
If frmLang.Showmodal = 1 then frmKuli.showmodal